path: /build/build/llama-cpp-app-ai-0.0.6527.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise i blas cblas lapack gsl -y && anise
    cleanup && eval 'eselect blas set 1 || true' && eval 'eselect cblas set 1 || true'
    && eval 'eselect lapack set 1 || true'
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cuda -blas vulkan" emerge app-ai/llama-cpp -pv -t && \
    USE="-cuda -blas vulkan" emerge -j ${JOBS} --nodeps app-ai/llama-cpp && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/llama-cpp && \
    luet-portage --dir /pkgdir/llama-cpp app-ai/llama-cpp && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:da6f6cec409edbd49aef5c34bbb992a3b5c86806ae15d386cff2a5e1f61c2d85
  package:
    name: llama-cpp
    version: 0.0.6527
    category: app-ai
    use_flags:
    - -cuda
    - -blas
    - vulkan
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: LLM inference in C/C++
    uri:
    - https://github.com/ggml-org/llama.cpp
    license: MIT
    buildtimestamp: 2025-09-21 13:43:39.738414117 +0000 UTC m=+614.233989680
    labels:
      BDEPEND: vulkan? ( dev-util/vulkan-headers ) dev-util/ninja dev-util/cmake
      DEPEND: cuda? ( x11-drivers/nvidia-drivers ) vulkan? ( dev-util/vulkan-tools
        media-libs/vulkan-layers media-libs/vulkan-loader media-libs/shaderc sci-libs/gsl
        ) blas? ( virtual/blas virtual/lapack )
      IUSE: static blas cuda vulkan
      RDEPEND: cuda? ( x11-drivers/nvidia-drivers ) vulkan? ( dev-util/vulkan-tools
        media-libs/vulkan-layers media-libs/vulkan-loader media-libs/shaderc sci-libs/gsl
        ) blas? ( virtual/blas virtual/lapack )
      emerge.packages: app-ai/llama-cpp
      kit: ai-kit
      original.package.name: app-ai/llama-cpp
      original.package.slot: "0"
      original.package.version: 0.0.6527
    treedir: /build/packages
  package_dir: /pkgdir/llama-cpp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f697d5b4f1fe728fb32db104b8b49a27111aecf9723d57b9d802bc91d2984a82
compressiontype: zstd
files:
- usr/bin/convert_hf_to_gguf.py
- usr/bin/llama-batched
- usr/bin/llama-batched-bench
- usr/bin/llama-bench
- usr/bin/llama-cli
- usr/bin/llama-convert-llama2c-to-ggml
- usr/bin/llama-cvector-generator
- usr/bin/llama-diffusion-cli
- usr/bin/llama-embedding
- usr/bin/llama-eval-callback
- usr/bin/llama-export-lora
- usr/bin/llama-finetune
- usr/bin/llama-gen-docs
- usr/bin/llama-gguf
- usr/bin/llama-gguf-hash
- usr/bin/llama-gguf-split
- usr/bin/llama-gritlm
- usr/bin/llama-imatrix
- usr/bin/llama-logits
- usr/bin/llama-lookahead
- usr/bin/llama-lookup
- usr/bin/llama-lookup-create
- usr/bin/llama-lookup-merge
- usr/bin/llama-lookup-stats
- usr/bin/llama-mtmd-cli
- usr/bin/llama-parallel
- usr/bin/llama-passkey
- usr/bin/llama-perplexity
- usr/bin/llama-quantize
- usr/bin/llama-retrieval
- usr/bin/llama-run
- usr/bin/llama-save-load-state
- usr/bin/llama-server
- usr/bin/llama-simple
- usr/bin/llama-simple-chat
- usr/bin/llama-speculative
- usr/bin/llama-speculative-simple
- usr/bin/llama-tokenize
- usr/bin/llama-tts
- usr/bin/test-arg-parser
- usr/bin/test-autorelease
- usr/bin/test-backend-ops
- usr/bin/test-barrier
- usr/bin/test-chat
- usr/bin/test-chat-parser
- usr/bin/test-chat-template
- usr/bin/test-gbnf-validator
- usr/bin/test-gguf
- usr/bin/test-grammar-integration
- usr/bin/test-grammar-parser
- usr/bin/test-json-partial
- usr/bin/test-json-schema-to-grammar
- usr/bin/test-llama-grammar
- usr/bin/test-log
- usr/bin/test-model-load-cancel
- usr/bin/test-mtmd-c-api
- usr/bin/test-opt
- usr/bin/test-quantize-fns
- usr/bin/test-quantize-perf
- usr/bin/test-quantize-stats
- usr/bin/test-regex-partial
- usr/bin/test-rope
- usr/bin/test-sampling
- usr/bin/test-thread-safety
- usr/bin/test-tokenizer-0
- usr/bin/test-tokenizer-1-bpe
- usr/bin/test-tokenizer-1-spm
- usr/include/ggml-alloc.h
- usr/include/ggml-backend.h
- usr/include/ggml-blas.h
- usr/include/ggml-cann.h
- usr/include/ggml-cpp.h
- usr/include/ggml-cpu.h
- usr/include/ggml-cuda.h
- usr/include/ggml-metal.h
- usr/include/ggml-opt.h
- usr/include/ggml-rpc.h
- usr/include/ggml-sycl.h
- usr/include/ggml-vulkan.h
- usr/include/ggml-webgpu.h
- usr/include/ggml.h
- usr/include/gguf.h
- usr/include/llama-cpp.h
- usr/include/llama.h
- usr/include/mtmd-helper.h
- usr/include/mtmd.h
- usr/lib64/cmake/ggml/ggml-config.cmake
- usr/lib64/cmake/ggml/ggml-version.cmake
- usr/lib64/cmake/llama/llama-config.cmake
- usr/lib64/cmake/llama/llama-version.cmake
- usr/lib64/libggml-base.so
- usr/lib64/libggml-cpu.so
- usr/lib64/libggml-vulkan.so
- usr/lib64/libggml.so
- usr/lib64/libllama.so
- usr/lib64/libmtmd.so
- usr/lib64/pkgconfig/llama.pc
- usr/share/doc/llama-cpp-0.0.6527/AUTHORS.bz2
- usr/share/doc/llama-cpp-0.0.6527/CONTRIBUTING.md.bz2
- usr/share/doc/llama-cpp-0.0.6527/README.md.bz2
- usr/share/doc/llama-cpp-0.0.6527/SECURITY.md.bz2
- var/db/pkg/app-ai/llama-cpp-0.0.6527/BDEPEND
- var/db/pkg/app-ai/llama-cpp-0.0.6527/BUILD_TIME
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CATEGORY
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CBUILD
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CFLAGS
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CHOST
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CONTENTS
- var/db/pkg/app-ai/llama-cpp-0.0.6527/COUNTER
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CTARGET
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CXX
- var/db/pkg/app-ai/llama-cpp-0.0.6527/CXXFLAGS
- var/db/pkg/app-ai/llama-cpp-0.0.6527/DEFINED_PHASES
- var/db/pkg/app-ai/llama-cpp-0.0.6527/DEPEND
- var/db/pkg/app-ai/llama-cpp-0.0.6527/DESCRIPTION
- var/db/pkg/app-ai/llama-cpp-0.0.6527/EAPI
- var/db/pkg/app-ai/llama-cpp-0.0.6527/FEATURES
- var/db/pkg/app-ai/llama-cpp-0.0.6527/HOMEPAGE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/INHERITED
- var/db/pkg/app-ai/llama-cpp-0.0.6527/IUSE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/IUSE_EFFECTIVE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/KEYWORDS
- var/db/pkg/app-ai/llama-cpp-0.0.6527/LDFLAGS
- var/db/pkg/app-ai/llama-cpp-0.0.6527/LICENSE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/NEEDED
- var/db/pkg/app-ai/llama-cpp-0.0.6527/NEEDED.ELF.2
- var/db/pkg/app-ai/llama-cpp-0.0.6527/PF
- var/db/pkg/app-ai/llama-cpp-0.0.6527/PROVIDES
- var/db/pkg/app-ai/llama-cpp-0.0.6527/RDEPEND
- var/db/pkg/app-ai/llama-cpp-0.0.6527/REQUIRES
- var/db/pkg/app-ai/llama-cpp-0.0.6527/SIZE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/SLOT
- var/db/pkg/app-ai/llama-cpp-0.0.6527/USE
- var/db/pkg/app-ai/llama-cpp-0.0.6527/environment.bz2
- var/db/pkg/app-ai/llama-cpp-0.0.6527/llama-cpp-0.0.6527.ebuild
- var/db/pkg/app-ai/llama-cpp-0.0.6527/repository
package_cacheimage: ""
runtime:
  name: llama-cpp
  version: 0.0.6527
  category: app-ai
  use_flags:
  - -cuda
  - -blas
  - vulkan
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: LLM inference in C/C++
  uri:
  - https://github.com/ggml-org/llama.cpp
  license: MIT
  labels:
    BDEPEND: vulkan? ( dev-util/vulkan-headers ) dev-util/ninja dev-util/cmake
    DEPEND: cuda? ( x11-drivers/nvidia-drivers ) vulkan? ( dev-util/vulkan-tools media-libs/vulkan-layers
      media-libs/vulkan-loader media-libs/shaderc sci-libs/gsl ) blas? ( virtual/blas
      virtual/lapack )
    IUSE: static blas cuda vulkan
    RDEPEND: cuda? ( x11-drivers/nvidia-drivers ) vulkan? ( dev-util/vulkan-tools
      media-libs/vulkan-layers media-libs/vulkan-loader media-libs/shaderc sci-libs/gsl
      ) blas? ( virtual/blas virtual/lapack )
    emerge.packages: app-ai/llama-cpp
    kit: ai-kit
    original.package.name: app-ai/llama-cpp
    original.package.slot: "0"
    original.package.version: 0.0.6527
